=== modified file 'bzrlib/tests/matchers.py'
--- bzrlib/tests/matchers.py	2011-06-16 15:11:12 +0000
+++ bzrlib/tests/matchers.py	2011-06-19 12:45:11 +0000
@@ -107,10 +107,8 @@
         try:
             graph = self.repository.get_graph()
             got = [r for r, p in graph.iter_ancestry([self.revision_id])]
-            if not _mod_revision.NULL_REVISION in got:
-                raise AssertionError("Unable to find %r in %r" % (
-                    self.revision_id, self.repository))
-            got.remove(_mod_revision.NULL_REVISION)
+            if _mod_revision.NULL_REVISION in got:
+                got.remove(_mod_revision.NULL_REVISION)
         finally:
             self.repository.unlock()
         if sorted(got) != sorted(expected):

=== modified file 'bzrlib/tests/per_repository_vf/test_reconcile.py'
--- bzrlib/tests/per_repository_vf/test_reconcile.py	2011-06-16 16:45:31 +0000
+++ bzrlib/tests/per_repository_vf/test_reconcile.py	2011-06-19 12:45:11 +0000
@@ -195,7 +195,7 @@
             **kwargs):
         # actual low level test.
         repo = aBzrDir.open_repository()
-        m = MatchesAncestry(repo,'references_missing')
+        m = MatchesAncestry(repo, 'references_missing')
         if m.match(['missing', 'references_missing']) is not None:
             # the repo handles ghosts without corruption, so reconcile has
             # nothing to do here. Specifically, this test has the inventory

